@charset "UTF-8";

/***************************
 * CSS Centre des possibles
 **************************/
 
/*$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 992px,
  xl: 1200px,
  xxl: 1400px
);*/

:root {
    --font-family-principale-regular: "Greycliff CF", Arial, sans-serif;
    --bs-body-font-family: "Greycliff CF", Arial, sans-serif;
	--blue-nuit: #1b1b62;
	--rose-neon: #e0349b;
	--violet-cosmique: #9940c4;
	--lumiere-bleue: #5d62ea;
	--lavande-stardust: #e7e8fb;
	--vert-succes: #38a678;
	--orange-avertie: #e37636;
	--orange-attentive: #eb614c;
	--violet-gradient: #715bdee2;
	--rose-gradient: #e0349b40;
	--vis-font: 'Visby CF, Heavy';
	--extra-bold: 700;
	--blue-text: #262b61;
    --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.75%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}
html {
    height: 100%;
    width: 100%;
}
body {
    min-height: 100%;
    min-width: 100%;
    position: relative;
    font-size: 1rem;
    overflow-x: hidden;
}
.navbar {
    width: 100%;
}
.abp-application-layout .container {
    min-width: 80% !important;
    padding: 2rem 0 !important;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
	font-weight: bold;
}
.text-section {
    font-size: 18px;
    color: var(--lavande-stardust);
    letter-spacing: 0.44px;
    text-transform: uppercase;
    text-decoration: none;
}
.text-objectif {
    margin-bottom: 0;
    color: var(--lavande-stardust);
    text-align: left;
    font-size: 21px;
    font-family: "Greycliff CF";
    letter-spacing: 0;
}
.text-age {
    text-align: left;
    font-family: "Greycliff CF";
    font-size: 23px;
    letter-spacing: 0;
    color: #fff;
    text-transform: uppercase;
}
.age {
    color: var(--lumiere-bleue);
    text-align: left;
    font-size: 40px;
    font-family: "Greycliff CF";
    font-weight: bold;
    letter-spacing: 0;
}
.text-cible {
    text-align: right;
    font-size: 24px;
    letter-spacing: 0;
    color: #fff;
    text-transform: uppercase;
}
h1 {
    margin-bottom: 0;
}
.text-citation {
    font-size: 18px;
    letter-spacing: 0;
    color: #fff;
}
.titre-niveau-3 {
    font-size: 46px;
}
.titre-niveau-2 {
    font-size: 23px;
}
.titre-niveau-1 {
    font-size: 18px;
}
.font-22 {
    font-size: 18px;
}
.description {
    font-size: 24px;
}
.corps {
    font-size: 20px;
}
.back-nuit {
	background-color: var(--blue-nuit);
	color: #fff;
}
.back-url {
    background-image: url(../img/fond-site.jpg);
    background-size: cover;
    background-blend-mode: overlay;
}
.btn-rdv {
    background-color: var(--lumiere-bleue);
    color: #fff;
    font-family: var(--font-family-principale-regular);
    border-color: #fff;
    font-size: 16px;
    letter-spacing: 0;
    text-align: center;
    font-weight: bold;
}
.btn-rdv:hover,
.btn-rdv:focus,
.btn-rdv:active {
    background-color: var(--lumiere-bleue);
    color: #fff;
    font-family: var(--font-family-principale-regular);
    border-color: #fff;
}
.img-14 {
    height: 14rem;
}
.gradient-line {
    background: transparent linear-gradient(90deg, var(--rose-neon) 0%, var(--lumiere-bleue) 100%) 0% 0% no-repeat
        padding-box;
    height: 0.2rem;
}
.icon-48 {
    width: 48px;
    height: 48px;
}
.icon-34 {
    width: 34px;
    height: 25px;
}
.icon-53 {
    width: 53px;
    height: 53px;
}
.text-shadow {
    text-shadow: 0 3px 6px var(--rose-neon);
    text-align: center;
    color: var(--lavande-stardust);
    opacity: 1;
    font-size: 46px;
}
.text-neon-shadow {
    text-shadow: 0 3px 6px var(--rose-neon);
    color: var(--lavande-stardust);
    opacity: 1;
}
.gradient-back {
    background: transparent
        linear-gradient(180deg, var(--lumiere-bleue) 0%, var(--violet-gradient) 31%, var(--rose-gradient) 100%) 0% 0%
        no-repeat padding-box;
    border-radius: 41px;
    opacity: 1;
    color: #fff;
}

.font-small {
    font-size: 16px;
}
.font-medium {
    font-size: 14px;
}
.col-button {
    backdrop-filter: blur(20px);
    background: var(--lumiere-bleue) 0% 0% no-repeat padding-box;
    box-shadow: 0 0 20px var(--violet-cosmique);
    border: 1px solid #fff;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    transition:
        background-color 0.3s,
        transform 0.3s;
    outline: 0;
}
.col-button :hover {
    background-color: var(--violet-cosmique);
    box-shadow: var(--rose-neon);
    color: #fff;
}
.col-button :active {
    background-color: var(--violet-cosmique);
    box-shadow: 0 0 10px var(--orange-attentive);
}
.back-lumiere {
    background: var(--lumiere-bleue);
    color: #fff;
}
.trans-button {
    backdrop-filter: blur(20px);
    background: none;
    text-shadow: var(--rose-neon);
    border: 1px solid #fff;
    color: #fff;
    font-size: 12px;
    cursor: pointer;
    transition:
        background-color 0.3s,
        transform 0.3s;
    outline: 0;
}
.trans-button:hover {
    color: #fff;
    border-color: #fff !important;
}
.trans-button:active {
    background-color: var(--rose-neon);
    box-shadow: 0 0 10px var(--orange-attentive) !important;
}
.back-blur {
    background: rgba(231, 232, 251, 0.1);
}
button[aria-expanded="false"]::before {
    content: "Lire la suite";
    display: inline-block;
}
button[aria-expanded="true"]::before {
    content: "Fermer";
    display: inline-block;
}
.half-circle {
    position: relative;
    top: -8px;
    left: 50%;
    transform: translateX(-50%) rotate(180deg);
    width: 4rem;
    height: 2rem;
    background-color: var(--blue-nuit);
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
}
.icon-infos {
    width: 3.4rem;
}
.infos {
    position: relative;
    top: 1.5rem;
    z-index: 1;
}
.size-2 {
    font-size: 2rem;
}
.shadow-btn {
    box-shadow: 0 0 20px var(--violet-cosmique);
}
.overlay-full-screen {
    height: 100% !important;
    width: 100vw;
    background-color: var(--blue-nuit);
    overflow: hidden;
}
.line-before {
    position: relative;
    display: inline-block;
    padding-left: 2.5rem;
    font-size: 18px;
}
.line-before::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 2rem;
    height: 2px;
    background-color: var(--rose-neon);
}
.animation {
    width: 36rem;
}
.custom-margin {
    margin-left: 0 !important;
}

.video {
    max-width: 800px;
}
.youtube-consent {
	bottom: 0;
	height: 100%;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	width: 100%;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: center;
	background-color: black;
}
.youtube-consent iframe{
	height: 100%;
}

@media (max-width: 768px) {
    .footer-fixed {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: var(--blue-nuit);
        z-index: 1000;
    }
    body {
        padding-bottom: 5rem;
    }
    .abp-application-layout .container {
        padding: 0.5rem !important;
    }
    .titre-niveau-3 {
        font-size: 36px !important;
    }
    .mt-sm-3 {
        margin-top: 2rem;
    }
    .text-objectif {
        font-size: 18px !important;
    }
    .text-age {
        font-size: 16px !important;
    }
    .age {
        font-size: 23px !important;
    }
    .text-cible {
        font-size: 22px !important;
    }
    .text-citation {
        font-size: 22px !important;
    }
    .text-shadow {
        font-size: 40px !important;
    }
    .description {
        font-size: 20px !important;
    }
    .animation {
        height: 21rem !important;
        width: 24rem !important;
    }
    .h3 {
        font-size: 18px !important;
    }
}

@media (min-width: 1200px) {
    .logo {
        max-width: 325px;
    }
}
@media (min-width: 1400px) {
    .logo {
        max-width: 350px;
    }
    .custom-margin {
        margin-left: 3rem !important;
    }
}
